%add_findreq_skiplist /usr/share/perl5/Web/DataService/Plugin/Dancer.pm
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Algorithm/Diff.pm) perl(Config.pm) perl(Cwd.pm) perl(Dancer.pm) perl(Encode.pm) perl(Exporter.pm) perl(File/Spec/Functions.pm) perl(HTTP/Validate.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Moo.pm) perl(Pod/Simple.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Template.pm) perl(Test/More.pm) perl(Try/Tiny.pm) perl(YAML.pm) perl(base.pm) perl(namespace/clean.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name Web-DataService
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.42
Release: alt1
Summary: a framework for building data service applications for the Web
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MM/MMCCLENN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides a framework for you to use in building data service
applications for the World Wide Web.  Such applications sit between a data
storage and retrieval system on one hand and the Web on the other, and fulfill
HTTP-based data requests.  Each valid request is handled by fetching or
storing the appropriate data using the backend data system and serializing the
output in a format such as JSON, CSV, or XML.

Using the methods provided by this module, you start by defining a set of data
service elements: output formats, output blocks, vocabularies, and parameter
rules, followed by a set of data service nodes representing the various
operations to be provided by your service.  Each of these objects is
configured by a set of attributes, optionally including documentation strings.
You continue by writing one or more modules whose methods will carry out the
core part of each data service operation: talking to the backend data system
to fetch and/or store the relevant data, based on the parameter values
provided in a data service request.

The Web::DataService code then takes care of most of the work necessary for
handling each request, including checking the parameter values, determining
the response format, calling your operation method at the appropriate time,
and serializing the result.  It also generates appropriate error messages when
necessary.  Finally, it auto-generates documentation pages for each operation
based on the elements you have defined, so that your data service is always
fully and correctly documented.

A Web::DataService application is built on top of a "foundation framework"
that provides the basic functionality of parsing HTTP requests and
constructing responses.  At the present time, the only one that can be used is
the Dancer manpage.  However, we plan to add compatibility with other frameworks such
as Mojolicious and Catalyst soon.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/W*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Wed Dec 26 2018 Igor Vlasenko <viy@altlinux.ru> 0.42-alt1
- initial import by package builder

